/*
  ------ Workitem Form with Chronicle and Document Preview 
  
 */
 
.imixs-workitem {
	 /* Use flexbox */
  	display: flex;
  	flex-wrap: wrap;
	flex-direction: row;
}


.imixs-workitem-form {
	width: 66.666%;
}
.imixs-workitem-chronicle {
	width: calc(33.333% - 20px);
	height: 100%;

	display: flex;
	flex-wrap: nowrap;
	flex-direction: column;
	justify-content: space-between;

	position: fixed;
	right: 20px;
	bottom: 0;
	padding: 120px 10px 0;
	
	
	transition: 0.3s;
}



.imixs-workitem-form .imixs-form, .imixs-workitem-form .imixs-document {
  width: 100%;
  border-right: 1px solid #e0e4e7;
}

.split {
	 width: 50% !important;
	 float: left;
}

.imixs-workitem-form .imixs-form {
	 padding-right: 20px;
}

.imixs-workitem-form .imixs-document {
	 padding-right: 20px;
	 padding-left: 20px;
}

.imixs-workitem-form .imixs-document h1 {
    font-size: 1.8em;
    margin-bottom: 0.3em;
}


.imixs-workitem-chronicle-small {
	font-size: 0.7rem;
}
.imixs-workitem-chronicle-actions {
	
}

.imixs-workitem-chronicle-tabs  {
	margin-bottom: 10px;
}
.imixs-workitem-chronicle-tabs  ul {
	padding:0;
}
.imixs-workitem-chronicle-tabs ul li {
	list-style: none;
	display: inline;
	border-bottom: 2px none;
	padding-bottom: 10px;
}
.imixs-workitem-chronicle-tabs ul li:hover {
	border-bottom: 2px solid #206B87;
}
.imixs-workitem-chronicle-tabs ul li.active {
	border-bottom: 2px solid #206B87;
}

.imixs-workitem-chronicle-tabs ul li a {
	color: #999;
	text-decoration: none;	
}

.imixs-workitem-chronicle-tabs ul li.active a {
	color: #206B87;
}


.imixs-workitem-chronicle-tabs .chronicle-tab-history, .imixs-workitem-chronicle-tabs .chronicle-tab-documents {
	margin: 10px 10px 10px 0px;
	font-size: 1.3rem;
}

.imixs-workitem-chronicle-content {
	width: calc(100% - 30px);
	min-height: 100px;
	overflow: auto;
	flex: 1;
	scrollbar-width: thin;
	margin-bottom:20px;
}


.imixs-slider {
  width: 16px;
  padding: 0;
}

.imixs-slider-nav {
  margin: 0;
  padding: 6px 0;
  position: relative;
  top: 33%;
  -ms-transform: translateY(-33%);
  transform: translateY(-33%);
  cursor: pointer;
  border-right: 1px dotted #e0e4e7;
  border-top: 1px dotted #e0e4e7;
  border-bottom: 1px dotted #e0e4e7;
  background-color: #f7f7f7;
}


.imixs-slider .typcn {
	color:#ababab;
	font-size:16px;
	line-height: 1.7em;
}

.imixs-slider .typcn:hover {
	color: #428bca;
}


.imixs-workitem-form {
	width: calc(66.6666% - 0px);
	margin-bottom: 40px;
}


.imixs-document {
	display:none;
	padding:0 10px;
}

.imixs-document .document-title {
	word-break: break-all;
}

.imixs-document .document-nav {
	
	cursor: pointer;
	float: right;
	margin-left: 20px;
	color: #428bca;
	
}


.imixs-workitem-document-embedded .document-nav  {
	cursor: pointer;
	float: right;
	margin-left: 0px;
	color: #428bca;
}
.imixs-workitem-document-embedded .imixs-form {
	margin:0;
}
.imixs-workitem-document-embedded .document-title {
	display: none;
}


.imixs-workitem-chronicle-content h1 {
	font-size: 2em;
}

.imixs-workitem-chronicle-content h2 {
	color: #333;
	font-size: 24px;
}

.imixs-workitem-chronicle-content h3 {
	color: #333;
	font-size: 18px;
	margin: 0;
}

.imixs-workitem-chronicle-content table {
	border: none;
	width: 100%;
}

.imixs-workitem-chronicle .content-block {
	margin-top: 2px;
	margin-bottom: 0;
}


.imixs-workitem-chronicle .content-block a.attachmentlink, .imixs-workitem-chronicle .content-block a.file-open-link {
	word-break: break-all;
}


.imixs-workitem-chronicle .date {
	margin-left:10px; 
	font-size: 1.1em; 
	line-height:1.4em; 
	font-weight:bold;
}

.imixs-workitem-chronicle .imixs-comments-entry {
	margin-bottom: 0;
}

.imixs-workitem-chronicle-usericon {
	height: 32px;
	width: 32px;
	background-color: #bbb;
	border-radius: 50%;
	display: inline-block;
	text-align: center;
	line-height: 2.2em;
	font-weight: bold;
	overflow: hidden;
}


.imixs-workitem-chronicle .filter {
	position: absolute;
	right:0;
	padding-right:10px;
}


.imixs-workitem-chronicle .filter .disabled {
	color: #999;
}

.imixs-workitem-chronicle .filter .typcn {
	cursor: pointer;
}


.imixs-workitem-chronicle .filter ul {
	padding: 0;
	list-style-type: none;
	text-align: left;
	font-size: 22px;
	color: #206B87;
}

.imixs-workitem-chronicle .filter a, .imixs-workitem-chronicle .nav a {
	color:  #206B87;
}



.imixs-workitem-chronicle .filter a.active {
	border-bottom: 3px solid #206B87;
	padding-bottom: 5px;
}

.imixs-workitem-chronicle .filter a.inactive {
	color:#999;
}


.imixs-workitem-chronicle .header td {
	border-bottom: 1px solid #ccc;
	color: #666;
	padding-top: 16px;
}


.imixs-workitem-chronicle .entry td {
	color: #666;
	padding-bottom: 5px;
}

.imixs-workitem-chronicle .entry.history td {
	padding-bottom: 0px;
}

.imixs-workitem-chronicle table tr.year td {
	padding-bottom: 0px;
}

.imixs-workitem-chronicle table tr.year td h2 {
	margin:0;
}

.imixs-workitem-chronicle table tr.month td {
	padding-top:10px;
	padding-bottom: 0px;
}


.imixs-workitem-chronicle .entry .typcn {
	margin: 0;
	font-size: 1.3rem;
	color: #428bca;
	line-height: 1.3rem;
}
.imixs-workitem-chronicle .dms-list .image-block {
	min-width: 30px;
}
.imixs-workitem-chronicle .dms-list .content-block {
	margin-left: 10px;
	line-height: 1.8em;
}







/* RESPONSIVE BEHAVIOUR */
@media screen and (max-width: 1200px) {
	.imixs-slider {
		display: none;
 	}
	.imixs-workitem {
    	display: flow-root;
 	}
	.imixs-workitem-chronicle, .imixs-workitem-form {
		width: 100% !important;
		left: 0;
		position: inherit;
	 }
	.split {
  		width: 100% !important;
	}
}

@media screen and (max-width: 548px) {
	
	.imixs-workitem-chronicle {
		padding-top:0;
	}
	
}

